EDIT - bug #8630

ClassCastException when ABCD import has finished
10/29/2019 03:08 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.11

Severity: normal Found in Version: Release 5.10
Description

after a ABCD import has run a ClassCastException happens on processing the result data:

'MESSAGE An internal error occurred during: "Import: Abcd206ImportConfigurator".
ISTACK O
java.lang.ClassCastException: eu.etaxonomy.cdm.io.common.ImportResult cannot be cast to eu.etaxono
my.cdm.api.service.UpdateResult
at eu.etaxonomy.taxeditor.model.AbstractUtility.updateNameEditors (AbstractUtility.java:803

at eu.etaxonomy.taxeditor.model.AbstractUtility$3.run (AbstractUtility.java:645)
at org.eclipse.core.internal. jobs.Worker.run (Worker. java:55)

!ENTRY eu.taxeditor 2 0 2019-10-29 15:04:13.510
IMESSAGE Reset usage data

'ENTRY org.eclipse.core.jobs 4 0 2019-10-29 15:04:13.657
IMESSAGE This is an unexpected error.
Please contact EDIT Support (EditSupport@bgbm.org) with the error trace below (click on the 'Detai
1ls' button).
!STACK O
java.lang.Exception: login
editor version : 5.10.0
server : ()
schema version
os : Linux 5.0.0-32-generic amdoc4
java : 1.8.0_131
java.lang.ClassCastException: eu.etaxonomy.cdm.io.common.ImportResult cannot be cast to eu.etaxono
my.cdm.api.service.UpdateResult
at eu.etaxonomy.taxeditor.model.AbstractUtility.updateNameEditors (AbstractUtility. java:803

at eu.etaxonomy.taxeditor.model.AbstractUtility$3.run (AbstractUtility.java:645)
at org.eclipse.core.internal. jobs.Worker.run (Worker. java:55)

at eu.etaxonomy.taxeditor.model.MessagingUtils$1l.run (MessagingUtils. java:286)

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock.java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4536)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:4154)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine.
java:1121)

Related issues:
Related to EDIT - bug #8631: ABCD import fails to put new taxa into the class... Closed
Related to EDIT Platform Etablierung - task #8580: Update documentation to la... Closed 10/10/2019

Associated revisions

Revision 92546b65 - 10/30/2019 10:21 AM - Katja Luther

ref #8631: fix ClassCastException for abcd import and NPE in abed preferences

History
#1 - 10/29/2019 03:29 PM - Andreas Kohlbecker

- Related to bug #8631: ABCD import fails to put new taxa into the classification, create mediaspecimens, etc added

#2 - 10/29/2019 04:45 PM - Andreas Kohlbecker

- Related to task #8580: Update documentation to latest revision of the Taxeditor added

#3 - 11/04/2019 05:34 PM - Andreas Kohlbecker

- Tags set to import

#4 - 11/05/2019 09:01 AM - Katja Luther

- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Kohlbecker

- Target version changed from Unassigned CDM tickets to Release 5.11

- % Done changed from 0 to 50

this is fixed.

#5 - 11/06/2019 09:12 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- Assignee changed from Andreas Kohlbecker to Katja Luther

- % Done changed from 50 to 100

The problem is no longer reproducible, closing the issue.
